org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

## Class RetryClientForZeroJitter

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClientForZeroJitter

    @ApplicationScoped
    public class RetryClientForZeroJitter
    extends Object

A client to check for proper processing of jitter = 0 on @Retry

Author:
  Doychin Bondzhev

### Constructor Summary

Constructors
Constructor and Description
`RetryClientForZeroJitter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetries()`
`long` `getTotalRetryTime()`
`void` `serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClientForZeroJitter

    public RetryClientForZeroJitter()

### Method Detail

#### serviceA

    @Retry(maxRetries=3,
           jitter=0L)
    public void serviceA()

#### getRetries

    public int getRetries()

#### getTotalRetryTime

    public long getTotalRetryTime()